############################################################################
# Konfigurationsdatei fuer Minifirewall                                    #
############################################################################

# ==> Interface nach aussen. Ist f�r isdn=ippp0 und f�r dsl=ppp0
DIAL_OUT=ppp0

# Hier k�nnen  die Services  freigeschaltet  werden die  �ber das Dial-Out
# Interface erlaubt sind. Dazu muss pro Service nur der entsprechende Port
# in  ALLOW_PORTS_TCP  und/oder  ALLOW_PORTS_UDP  eingetragen werden. Eine
# Liste  mit oft benutzten Services und deren Ports ist weiter unten, aber
# auch ausf�hrlicher in der Datei /etc/services.

# ==> Welche TCP-Dienste duerfen von aussen sichtbar sein?
ALLOW_TCP="21 22"

# ==> Welche UDP-Dienste duerfen von aussen sichtbar sein?
ALLOW_UDP="53"

# ==> Welche TCP-Dienste sollen abgewiesen statt verworfen werden?
REJECT_TCP="153"

# ==> Welche UDP-Dienste sollen abgewiesen statt verworfen werden?
REJECT_UDP="153"

# ==> Soll Masquerading m�glich sein?
ALLOW_MASQ=ja

# ==>  Welche Masqueradingmodule sollen geladen werden?
MASQ_MODULES="iptable_nat ip_conntrack_ftp ip_nat_ftp ip_nat_irc"

# ==> www.gmx.de geht nicht mit DSL? Dann hier "ja" eintragen
FIX_BROKEN_TDSL=ja

# ==> Logging aller abgelehnten Pakete an (ja) oder aus (nein)?
LOGGING=nein

# Diese Ports werden auf einen Rechner im internen Lan weitergeleitet.
#   Syntax   :  PORTFORWARD_[N]="PROTO PORT ZIEL-IP"
#   Beispiel1:  PORTFORWARD_[1]="tcp 22 192.168.1.100"
#   Beispiel2:  PORTFORWARD_[2]="udp 4332 192.168.1.70"
#   Beispiel2:  PORTFORWARD_[3]="udp 1024:3000 192.168.1.40"
# In Beispiel1 wird Port 22/tcp an den Host 192.168.1.99 weitergeleitet.
# In Beispiel2 wird Port 4332/udp an den Host 192.168.1.70 weitergeleitet.
# In Beispiel2 werden die Ports 1024 bis 3000/udp an den Host 192.168.1.40 weitergeleitet.
#
# 50 Portforwardings sind default, wer mehr will �ndert MAX_FORWARDINGS




# Die folgenden Variablen brauchen im Regelfall nicht ge�ndert werden.
#######################################################################

MAX_FORWARDINGS=50
ANTI_SPOOFING=ja
ANTI_SPOOFING_LOG=ja
SYNCOOKIE=ja
DISABLE_ICMP_REDIR=ja
DISABLE_SOURCE_ROUTED=ja
ENABLE_BROADCAST_ECHO_PROTECT=ja
ENABLE_BAD_ERROR_MESG_PROTECT=ja
ALLOW_FORWARD=$ALLOW_MASQ
ALLOW_DYNIP=$ALLOW_MASQ
ALLOW_PING=ja
LOAD_MASQMOD=$ALLOW_MASQ
INIT_VERBOSE=ja
MODPROBE=modprobe
IPTABLES=iptables
VERSIONCONF="0.6a"

########
# ENDE #
########

############################################################################
# Hier ist eine Liste mit oft benutzten Ports nach folgendem Format:       #
#                                                                          #
# Proto Port    # Funktion                              -  Service         #
# ----- ----    ----------                              ----------         #
# tcp     7     # Echo                                  - echo             #
# udp     7     # Echo                                  - echo             #
# tcp     9     # Discard                               - discard          #
# udp     9     # Discard                               - discard          #
# tcp    11     # Active Users                          - systat           #
# udp    11     # Active Users                          - systat           #
# tcp    13     # Daytime (RFC 867)                     - daytime          #
# udp    13     # Daytime (RFC 867)                     - daytime          #
# tcp    17     # Quote of the Day                      - quote            #
# udp    17     # Quote of the Day                      - quote            #
# tcp    19     # Character Generator                   - chargen          #
# udp    19     # Character Generator                   - chargen          #
# tcp    20     # File Transfer [Default Data]          - ftp-data         #
# udp    20     # File Transfer [Default Data]          - ftp-data         #
# tcp    21     # File Transfer [Control]               - ftp              #
# udp    21     # File Transfer [Control]               - ftp              #
# tcp    22     # SSH Remote Login                      - ssh              #
# udp    22     # SSH Remote Login                      - ssh              #
# tcp    23     # Telnet                                - telnet           #
# udp    23     # Telnet                                - telnet           #
# tcp    25     # Simple Mail Transfer                  - smtp             #
# udp    25     # Simple Mail Transfer                  - smtp             #
# tcp    37     # Time                                  - time             #
# udp    37     # Time                                  - time             #
# tcp    53     # Domain Name Server                    - dns              #
# udp    53     # Domain Name Server                    - dns              #
# tcp    69     # Trivial File Transfer                 - tftp             #
# udp    69     # Trivial File Transfer                 - tftp             #
# tcp    79     # Finger                                - finger           #
# udp    79     # Finger                                - finger           #
# tcp    80     # World Wide Web HTTP                   - www http         #
# udp    80     # World Wide Web HTTP                   - www http         #
# tcp    88     # Kerberos                              - kerberos         #
# udp    88     # Kerberos                              - kerberos         #
# tcp   110     # Post Office Protocol - Version 3      - pop3             #
# udp   110     # Post Office Protocol - Version 3      - pop3             #
# tcp   113     # Authentication Service                - ident auth       #
# udp   113     # Authentication Service                - ident auth       #
# tcp   119     # Network News Transfer Protocol        - nntp             #
# udp   119     # Network News Transfer Protocol        - nntp             #
# tcp   123     # Network Time Protocol                 - ntp              #
# udp   123     # Network Time Protocol                 - ntp              #
# tcp   143     # Internet Message Access Protocol      - imap             #
# udp   143     # Internet Message Access Protocol      - imap             #
# tcp   148     # Jargon                                - jargon           #
# udp   148     # Jargon                                - jargon           #
# tcp   512     # Remote process execution              - exec             #
# udp   512     # comsat                                - comsat           #
# tcp   513     # Remote login a la telnet              - login            #
# udp   513     # maintains data bases showing who's    - who              #
# tcp   514     # cmd                                   - shell            #
# udp   514     # syslog                                - syslog           #
# tcp   515     # spooler                               - printer          #
# udp   515     # spooler                               - printer          #
# tcp   517     # talk                                  - talk             #
# udp   517     # talk                                  - talk             #
# tcp   518     # ntalk                                 - ntalk            #
# udp   518     # ntalk                                 - ntalk            #
# tcp   519     # unixtime                              - utime            #
# udp   519     # unixtime                              - utime            #
# tcp   666     # doom Id Software                      - doom             #
# udp   666     # doom Id Software                      - doom             #
# tcp   873     # rsync                                 - rsync            #
# udp   873     # rsync                                 - rsync            #
############################################################################

# ende
